<HTML>
<HEAD><TITLE>Synthesis and Ngdbuild Report</TITLE>
<STYLE TYPE="text/css">
<!--
 body,pre{    font-family:'Courier New', monospace;    color: #000000;    font-size:88%;    background-color: #ffffff;}h1 {    font-weight: bold;    margin-top: 24px;    margin-bottom: 10px;    border-bottom: 3px solid #000;    font-size: 1em;}h2 {    font-weight: bold;    margin-top: 18px;    margin-bottom: 5px;    font-size: 0.90em;}h3 {    font-weight: bold;    margin-top: 12px;    margin-bottom: 5px;    font-size: 0.80em;}p {    font-size:78%;}P.Table {    margin-top: 4px;    margin-bottom: 4px;    margin-right: 4px;    margin-left: 4px;}table{    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    border-collapse: collapse;}th {    font-weight:bold;    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    text-align:left;    font-size:78%;}td {    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    font-size:78%;}a {    color:#013C9A;    text-decoration:none;}a:visited {    color:#013C9A;}a:hover, a:active {    text-decoration:underline;    color:#5BAFD4;}.pass{background-color: #00ff00;}.fail{background-color: #ff0000;}.comment{    font-size: 90%;    font-style: italic;}
-->
</STYLE>
</HEAD>
<PRE><A name="Syn"></A><B><U><big>Synthesis and Ngdbuild  Report</big></U></B>
synthesis:  version Diamond (64-bit) 3.11.0.396.4

Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2019 Lattice Semiconductor Corporation,  All rights reserved.
Sat Mar 19 10:38:59 2022


Command Line:  synthesis -f blink_led_diamond_impl1_lattice.synproj -gui 

Synthesis options:
The -a option is ECP5U.
The -s option is 6.
The -t option is CABGA256.
The -d option is LFE5U-25F.
Using package CABGA256.
Using performance grade 6.
                                                          

##########################################################

### Lattice Family : ECP5U

### Device  : LFE5U-25F

### Package : CABGA256

### Speed   : 6

##########################################################

                                                          

INFO - synthesis: User-Selected Strategy Settings
Optimization goal = Timing
Top-level module name = blink.
Target frequency = 200.000000 MHz.
Maximum fanout = 1000.
Timing path count = 3
BRAM utilization = 100.000000 %
DSP usage = true
DSP utilization = 100.000000 %
fsm_encoding_style = auto
resolve_mixed_drivers = 0
fix_gated_clocks = 1

Mux style = Auto
Use Carry Chain = true
carry_chain_length = 0
Loop Limit = 1950.
Use IO Insertion = TRUE
Use IO Reg = AUTO

Resource Sharing = TRUE
Propagate Constants = TRUE
Remove Duplicate Registers = TRUE
force_gsr = auto
ROM style = auto
RAM style = auto
The -comp option is FALSE.
The -syn option is FALSE.
-p C:/workspace/icesugarpro/blink-led-diamond (searchpath added)
-p C:/lscc/diamond/3.11_x64/ispfpga/sa5p00/data (searchpath added)
-p C:/workspace/icesugarpro/blink-led-diamond/impl1 (searchpath added)
-p C:/workspace/icesugarpro/blink-led-diamond (searchpath added)
Verilog design file = C:/workspace/icesugarpro/blink-led-diamond/blink.v
NGD file = blink_led_diamond_impl1.ngd
-sdc option: SDC file input not used.
-lpf option: Output file option is ON.
Hardtimer checking is enabled (default). The -dt option is not used.
The -r option is OFF. [ Remove LOC Properties is OFF. ]
Technology check ok...

Analyzing Verilog file C:/lscc/diamond/3.11_x64/ispfpga/userware/NT/SYNTHESIS_HEADERS/ecp5u.v. VERI-1482
Compile design.
Compile Design Begin
Analyzing Verilog file c:/workspace/icesugarpro/blink-led-diamond/blink.v. VERI-1482
Analyzing Verilog file C:/lscc/diamond/3.11_x64/ispfpga/userware/NT/SYNTHESIS_HEADERS/ecp5u.v. VERI-1482
Top module name (Verilog): blink
INFO - synthesis: c:/workspace/icesugarpro/blink-led-diamond/blink.v(1): compiling module blink. VERI-1018
WARNING - synthesis: c:/workspace/icesugarpro/blink-led-diamond/blink.v(6): expression size 32 truncated to fit in target size 1. VERI-1209
WARNING - synthesis: c:/workspace/icesugarpro/blink-led-diamond/blink.v(10): expression size 32 truncated to fit in target size 25. VERI-1209
Loading NGL library 'C:/lscc/diamond/3.11_x64/ispfpga/sa5p00/data/sa5plib.ngl'...
Loading NGL library 'C:/lscc/diamond/3.11_x64/ispfpga/xo2c00/data/xo2clib.ngl'...
Loading NGL library 'C:/lscc/diamond/3.11_x64/ispfpga/mg5g00/data/mg5glib.ngl'...
Loading NGL library 'C:/lscc/diamond/3.11_x64/ispfpga/or5g00/data/orc5glib.ngl'...
Loading device for application map from file 'sa5p25.nph' in environment: C:/lscc/diamond/3.11_x64/ispfpga.
Package Status:                     Final          Version 1.33.
Top-level module name = blink.



GSR will not be inferred because no asynchronous signal was found in the netlist.
Applying 200.000000 MHz constraint to all clocks

WARNING - synthesis: No user .sdc file.
Results of NGD DRC are available in blink_drc.log.
Loading NGL library 'C:/lscc/diamond/3.11_x64/ispfpga/sa5p00/data/sa5plib.ngl'...
Loading NGL library 'C:/lscc/diamond/3.11_x64/ispfpga/xo2c00/data/xo2clib.ngl'...
Loading NGL library 'C:/lscc/diamond/3.11_x64/ispfpga/mg5g00/data/mg5glib.ngl'...
Loading NGL library 'C:/lscc/diamond/3.11_x64/ispfpga/or5g00/data/orc5glib.ngl'...
All blocks are expanded and NGD expansion is successful.
Writing NGD file blink_led_diamond_impl1.ngd.

################### Begin Area Report (blink)######################
Number of register bits => 26 of 24879 (0 % )
CCU2C => 13
FD1S3AX => 1
FD1S3IX => 13
FD1S3JX => 12
GSR => 1
IB => 1
LUT4 => 11
OB => 1
################### End Area Report ##################

################### Begin Clock Report ######################
Clock Nets
Number of Clocks: 1
  Net : clk_c, loads : 26
Clock Enable Nets
Number of Clock Enables: 0
Top 0 highest fanout Clock Enables:
Highest fanout non-clock nets
Top 10 highest fanout non-clock nets:
  Net : n217, loads : 26
  Net : led_c, loads : 2
  Net : counter_24, loads : 2
  Net : counter_23, loads : 2
  Net : counter_22, loads : 2
  Net : counter_21, loads : 2
  Net : counter_20, loads : 2
  Net : counter_19, loads : 2
  Net : counter_18, loads : 2
  Net : counter_17, loads : 2
################### End Clock Report ##################

<A name="lse_trs"></A><B><U><big>Timing Report Summary</big></U></B>
--------------
--------------------------------------------------------------------------------
Constraint                              |   Constraint|       Actual|Levels
--------------------------------------------------------------------------------
                                        |             |             |
create_clock -period 5.000000 -name     |             |             |
clk0 [get_nets clk_c]                   |  200.000 MHz|  146.135 MHz|     5 *
                                        |             |             |
--------------------------------------------------------------------------------


1 constraints not met.


Peak Memory Usage: 75.039  MB

--------------------------------------------------------------
Elapsed CPU time for LSE flow : 0.500  secs
--------------------------------------------------------------



<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
</PRE></FONT>
</BODY>
</HTML>
